### Method

# Gtk UriLauncher can_launch

since: 4.20

#### Declaration [src]

    gboolean
    gtk_uri_launcher_can_launch (
      GtkUriLauncher* self,
      GtkWindow* parent
    )

#### Description [src]

Returns whether the launcher is likely to succeed in launching an application for its uri.

This can be used to disable controls that trigger the launcher when they are known not to work.

Available since: 4.20

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent window.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

False if the launcher is known not to support the uri, true otherwise.